import request from '@/utils/request'

export function getSupplierPage(data) {
  return request({
    url: '/procure-supplier/page',
    method: 'get',
    params: data
  })
}

export function getSupplierList(data) {
  return request({
    url: '/procure-supplier/list',
    method: 'post',
    data: data
  })
}

export function getSupplierById(data) {
  return request({
    url: '/procure-supplier/listById',
    method: 'post',
    data: data
  })
}

export function addSupplier(data) {
  return request({
    url: '/procure-supplier/add',
    method: 'post',
    data: data
  })
}

export function editSupplier(data) {
  return request({
    url: '/procure-supplier/edit',
    method: 'post',
    data: data
  })
}

export function delSupplier(data) {
  return request({
    url: '/procure-supplier/delete',
    method: 'post',
    data: data
  })
}
